#ifndef XMATERIALVERTEXSHADER_H
#define XMATERIALVERTEXSHADER_H

#include "xasset.h"
#include "xstring.h"
#include "xmaterialvertexshaderprogram.h"

#include <QString>

class XMaterialVertexShader : public XAsset
{
public:
    explicit XMaterialVertexShader();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    XString mName;
    XMaterialVertexShaderProgram mProgram;
};

#endif // XMATERIALVERTEXSHADER_H
